using UnityEngine;
using System.Collections;

public class TextDisplayScript : MonoBehaviour {
	
	
	public TextMesh texty;
	
	private string displayString = "";
	
	private string sourceString = "";
	
	public TextAsset sourceText;
	
	private int stringIndex =-1;
	
	public RoachMovement roach;
	
	
	// Use this for initialization
	void Start () {
		sourceString = sourceText.text;
	}
	
	// Update is called once per frame
	void Update () {
	
		
		while (roach.progression>1f){
			roach.progression -= 1f;
			stringIndex++;
			
			if (stringIndex<sourceString.Length){
				if (sourceString.Substring(stringIndex,1) != "$"){
					if (displayString !="" || sourceString.Substring(stringIndex,1) != "\n"){
						displayString += sourceString.Substring(stringIndex,1);
					}
				}
				if (sourceString.Substring(stringIndex,1) == "%"){
					displayString = "";
				}
			}
			
		}
		
		texty.text = displayString;
		
	}
}
